### Function

# FwupdPlugin version_verify_format

since: 1.8.2

#### Declaration [src]

    gboolean
    fu_version_verify_format (
      const gchar* version,
      FwupdVersionFormat fmt,
      GError** error
    )

#### Description [src]

Verifies if a version matches the input format.

Available since: 1.8.2

#### Parameters

`version`

  Type: `const gchar*`

  A string, e.g. `0x1234`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`fmt`

  Type: `FwupdVersionFormat`

  A version format.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE or FALSE.